package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PengkajianAwalVO extends BaseMasterVO{

	@Caption(value="Nama")
	private String nama;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Head Pengkajian Awal")
	private PengkajianAwalVO headPengkajianAwal;
	
	@Caption(value="Desc/Nilai")
	private String descNilai;
	
	@Caption(value="NoUrut")
	private Integer noUrut;
	
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "headPengkajianAwal")
	private Set<PengkajianAwalVO> pengkajianAwal = new HashSet<>();

	public String getNama() {
		return nama;
	}

	public void setNama(String nama) {
		this.nama = nama;
	}

	public PengkajianAwalVO getHeadPengkajianAwal() {
		return headPengkajianAwal;
	}

	public void setHeadPengkajianAwal(PengkajianAwalVO headPengkajianAwal) {
		this.headPengkajianAwal = headPengkajianAwal;
	}

	public String getDescNilai() {
		return descNilai;
	}

	public void setDescNilai(String descNilai) {
		this.descNilai = descNilai;
	}

	public Integer getNoUrut() {
		return noUrut;
	}

	public void setNoUrut(Integer noUrut) {
		this.noUrut = noUrut;
	}

	public Set<PengkajianAwalVO> getPengkajianAwal() {
		return pengkajianAwal;
	}

	public void setPengkajianAwal(Set<PengkajianAwalVO> pengkajianAwal) {
		this.pengkajianAwal = pengkajianAwal;
	}
	
}
